Quassel IRC - Bug #595

core crash on insert into locked DB, assertion
03/06/2009 02:01 PM - natlus

Status: Resolved Start date: 03/06/2009
Priority: Normal Due date:

Assignee: EgS % Done: 100%
Category: Quassel Core Estimated time: 0.00 hour
Target version: 0.4.1

Version: 0.4.0 0S: Linux
Description

Circumstances:

right after client connect

3 users, unknown connection status
several irc nets

Since the Warning is spread all over the log, | assume this has nothing to do with the crash.
(IP Xed out)

2009-03-06 12:20:47 Info: Client XXX.XXX.XXX. XXX disconnected (Userld: 3).

2009-03-06 12:57:11 Warning: SignalProxy::handlelnitRequest() received initRequest for unregistered Object: "IrcUser" "4/Alasis"
2009-03-06 13:27:49 Info: Client connected from XXX XXX. XXX. XXX

2009-03-06 13:27:49 Info: Client XXX.XXX.XXX. XXX initialized and authenticated successfully as "loc" (Userld: 1).

2009-03-06 13:27:58 Warning: CoreBufferSyncer::removeBuffer(): invalid Bufferld: 6 for User: 1
2009-03-06 13:27:58 Warning: CoreBufferSyncer::removeBuffer(): invalid Bufferld: 16 for User:
2009-03-06 13:27:58 Warning: CoreBufferSyncer::removeBuffer(): invalid Bufferld: 53 for User:
2009-03-06 13:27:58 Warning: CoreBufferSyncer::removeBuffer(): invalid Bufferld: 56 for User:
2009-03-06 13:27:58 Warning: CoreBufferSyncer::removeBuffer(): invalid Bufferld: 57 for User:
2009-03-06 13:27:58 Warning: CoreBufferSyncer::removeBuffer(): invalid Bufferld: 23 for User:
2009-03-06 13:27:58 Warning: CoreBufferSyncer::removeBuffer(): invalid Bufferld: 30 for User:
2009-03-06 13:28:10 Error: unhandled Error in QSqlQuery!

2009-03-06 13:28:11 Error: last Query:

"INSERT INTO backlog (time, bufferid, type, flags, senderid, message)

VALUES (:time, :bufferid, :type, :flags, (SELECT senderid FROM sender WHERE sender = :sender), :message)"
2009-03-06 13:28:11 Error: executed Query:

"INSERT INTO backlog (time, bufferid, type, flags, senderid, message)

VALUES (?, ?, ?, ?, (SELECT senderid FROM sender WHERE sender = ?), ?)"

2009-03-06 13:28:11 Error: bound Values:

2009-03-06 13:28:11 Error: 0 : 28

2009-03-06 13:28:11 Error: 1: 0

2009-03-06 13:28:11 Error: 2 : Im starting to like u Kass!

2009-03-06 13:28:11 Error: 3 : Sinotek!~Venum3@Azure.Lineage.ll
2009-03-06 13:28:11 Error: 4 : 1236342479

2009-03-06 13:28:11 Error: 5: 1

2009-03-06 13:28:11 Error: Error Number: 5

2009-03-06 13:28:11 Error: Error Message: "database is locked Unable to fetch row"
2009-03-06 13:28:11 Error: Driver Message: "Unable to fetch row"

2009-03-06 13:28:11 Error: DB Message: "database is locked"

2009-03-06 13:28:11 Error: ASSERT: "msgld.isValid()" in file /tmp/quassel-0.4.0/src/core/sqlitestorage.cpp, line 964

Related issues:
Has duplicate Quassel IRC - Bug #558: Quasselcore crashed Resolved 02/16/2009

History

#1 - 03/08/2009 02:20 PM - EgS

- Status changed from New to Resolved
- Assignee set to EgS

- Target version set to 0.4.1

- % Done changed from 0 to 100

05/24/2025 12



mailto:Venum3@Azure.Lineage.II

Fixed in current git:
http://git.quassel-irc.org/?p=quassel.git;:a=commit;h=b0cbbaffc64390db19614c65bf6af416dd55e41a

Note:
If a different app holds a lock on the backlog file (i.e. sqlite3 cli tool) this crash can still happen. But that's nothing we can fix.
